Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

CSA 5.1.0.69 install fails on Solaris 9

Hi,

pkgadd -a CSCOcsa/reloc/cfg/admin -d .

I have ran it with truss and it fails with:

THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF

CISCO SYSTEMS, INC. USE, DISCLOSURE, OR REPRODUCTION IS PROHIBITED

WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF CISCO SYSTEMS, INC.

waitid(P_PID, 6387, 0xFFBFF028, WEXITED|WTRAPPED) (sleeping...)

## Executing checkinstall script.

/tmp/installmkayEm/checkinstallpkayEm: /usr/sbin/patchadd: cannot execute

Need patch version 111711-11 or higher.

Aborting installation.

pkgadd: ERROR: checkinstall script did not complete successfully

Installation of <CSCOcsa> failed.

No changes were made to the system.

waitid(P_PID, 6387, 0xFFBFF028, WEXITED|WTRAPPED) = 0

sigaction(SIGINT, 0xFFBFEFE8, 0xFFBFF068) = 0

sigaction(SIGINT, 0xFFBFF050, 0xFFBFF0D0) = 0

open("/tmp/jp", O_RDONLY|O_NDELAY|O_LARGEFILE) = 3

fstat64(3, 0xFFBFF408) = 0

fcntl(3, F_SETFD, 0x00000001) = 0

getdents64(3, 0x0012DE30, 8192) = 176

open("/tmp/jp/CSCOcsa/pkginfo", O_RDONLY) = 4

llseek(4, 0, SEEK_CUR) = 0

close(4) = 0

access("/tmp/jp/.save.CSCOcsa/pkginfo", 0) Err#2 ENOENT

access("/tmp/jp/CSCOcsa/pkginfo", 0) = 0

open("/tmp/jp/CSCOcsa/pkginfo", O_RDONLY) = 4

fstat64(4, 0xFFBFF160) = 0

Anyone have seen this?

# showrev -p | grep 111711

Patch: 111711-12 Obsoletes: Requires: Incompatibles: Packages: SUNWlibC

Patch: 111711-16 Obsoletes: Requires: Incompatibles: Packages: SUNWlibC

Patch: 111712-12 Obsoletes: Requires: 111711-12 Incompatibles: Packages: SUNWlibCx

Patch: 111712-16 Obsoletes: Requires: 111711-16 Incompatibles: Packages: SUNWlibCx

#

Thanks,

JP

2 REPLIES
New Member

Re: CSA 5.1.0.69 install fails on Solaris 9

In checkinstall, check_patch() is the problem...

`${PTCADD} -p | ${GREP} "Patch: $1-" | ${SORT} -k 2 -r | ${HEAD} -1 | ${CUT} -d' ' -f 2`

/usr/sbin/patchadd -p | /usr/bin/grep "Patch: 111711-" | /usr/bin/sort -k 2 -r | /usr/bin/head -1 | /usr/bin/cut -d' ' -f 2

111711-16

111711-16 is installed !

New Member

Re: CSA 5.1.0.69 install fails on Solaris 9

in 5.1-0.91 also, to install the pkg I have to

1) comment in CSCOcsa/install/checkinstall the test that check for the patch

#if [ ${release} = "5.9" ]; then

# check_and_exit_if_no_patch 111711 11

# check_and_exit_if_no_patch 111712 11

#fi

2) modify the numbers in CSCOcsa/pkgmap to reflect the changes to size and cksum:

16 1 i checkinstall 3517 19425 1170094945

file size <3517> expected <3521> actual

file cksum <19425> expected <19565> actual

###############################################

# pkgadd -a CSCOcsa/reloc/cfg/admin -d .

The following packages are available:

1 CSCOcsa CSAagent

(sun4u) 5.1-0 Build 91

Select package(s) you wish to process (or 'all' to process

all packages). (default: all) [?,??,q]: all

Processing package instance from

CSAagent

(sun4u) 5.1-0 Build 91

The following package has already been installed:

PKGINST: CSCOcsa

NAME: CSAagent

CATEGORY: application

ARCH: sun4u

VERSION: 5.1-0 Build 69

BASEDIR: /opt/CSCOcsa

DESC: CSAagent

PSTAMP: Cisco Systems

STATUS: completely installed

FILES: 65 installed pathnames

7 directories

44 executables

24685 blocks used (approx)

Do you want to overwrite the installed package with version 5.1-0 Build

91? [y,n,?,q] y

Conflict approval questions may be displayed. ## Executing checkinstall script.

Using as the package base directory.

## Processing package information.

## Processing system information.

7 package pathnames are already properly installed.

## Verifying package dependencies.

## Verifying disk space requirements.

Installing CSAagent as

## Executing preinstall script.

Cisco Security Agent is not running

## Installing part 1 of 1.

< snip file list >

[ verifying class ]

## Executing postinstall script.

Checking for connectivity between the agent and the management console: CSAMC51

This may take a few seconds...

CSCMA51 successfully reached via 'ping' - continuing

i.csacenter: /usr/sbin/rem_drv csacenter

i.csacenter: /usr/bin/rm -f /kernel/drv/csacenter /kernel/drv/csacenter.conf /kernel/drv/sparcv9/csacenter

i.csacenter: /usr/bin/cp csacenter.conf /kernel/drv

i.csacenter: /usr/bin/cp csacenter /kernel/drv/sparcv9

i.csacenter: /usr/sbin/add_drv -m '* 0666 root sys' csacenter

Warning: Pathname support will be discontinued in future releases of add_drv.

i.csacenter: rm -f /dev/csacenter0

i.csacenter: ln -s /devices/pseudo/csacenter@0:0 /dev/csacenter0

/usr/bin/cp csafile /kernel/fs/sparcv9

csafile has been installed

Modifing /etc/system

"forceload: fs/csafile" has been added in /etc/system

csafile already been loaded, not loading the new csafile.

The new csafile will be loaded after rebooting the system,

or unload csafile first and run this script again.

/usr/bin/cp csatdi /kernel/strmod/sparcv9

csatdi has been installed

csatdi already been loaded, not loading the new csatdi.

The new csatdi will be loaded after rebooting the system,

or unload csatdi first and run this script again.

Buffer overflow libraries appear to be installed...

I will uninstall them (with ./r.BO) first

Uninstall of Buffer Overflow libraries complete

Installation of Buffer Overflow libraries complete

Previous version of libcsarule shared libraries appear to be installed...

I will uninstall them first.

Uninstall of libcsarule libraries complete

##############################################

and the system crash ;)

139
Views
0
Helpful
2
Replies
CreatePlease to create content